List support packages for a device

gethttps://app.mk.io/api/v1/projects/:project_name/fleet/devices/:name/supportPackages

Returns up to 5 support packages currently retained in blob storage for the specified device, newest first. The device's current support package operation status is also included.

RBAC Capability Required: fleet.device.get

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

project_namestringRequired
namestringRequired

Response

200List of support packages.

Loading schema details…

Errors

400Bad Request

Loading schema details…

401Unauthorized

Loading schema details…

403Forbidden

Loading schema details…

404Not Found

Loading schema details…

429Too Many Requests

Loading schema details…

500Internal Server Error

Loading schema details…